// Nebula Scroll Animation
const nebula = document.querySelector('.nebula-animation');

function animateNebula() {
  nebula.style.animation = 'nebula-pulse 10s infinite alternate';
}

animateNebula();

// Smooth Scrolling
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Mobile Menu Toggle
const navLinks = document.querySelector('.nav-links');
const toggleButton = document.createElement('div');
toggleButton.classList.add('mobile-toggle');
toggleButton.innerHTML = '☰';
document.querySelector('nav').appendChild(toggleButton);

toggleButton.addEventListener('click', () => {
  navLinks.classList.toggle('active');
});